package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlRegistry;

@XmlRegistry
public class ObjectFactory {
   public KEYWORD createKEYWORD() {
      return new KEYWORD();
   }

   public INITPROP createINITPROP() {
      return new INITPROP();
   }

   public WORKFLOWEVENT createWORKFLOWEVENT() {
      return new WORKFLOWEVENT();
   }

   public DAILYFREQUENCY createDAILYFREQUENCY() {
      return new DAILYFREQUENCY();
   }

   public SEBLMVLINKREL createSEBLMVLINKREL() {
      return new SEBLMVLINKREL();
   }

   public TIMER createTIMER() {
      return new TIMER();
   }

   public FOLDER createFOLDER() {
      return new FOLDER();
   }

   public SCHEDULER createSCHEDULER() {
      return new SCHEDULER();
   }

   public SAPFUNCINSTANCEPARAM createSAPFUNCINSTANCEPARAM() {
      return new SAPFUNCINSTANCEPARAM();
   }

   public TARGETFIELD createTARGETFIELD() {
      return new TARGETFIELD();
   }

   public WORKFLOWVARIABLE createWORKFLOWVARIABLE() {
      return new WORKFLOWVARIABLE();
   }

   public EXPRMACRO createEXPRMACRO() {
      return new EXPRMACRO();
   }

   public SAPFUNCPARAM createSAPFUNCPARAM() {
      return new SAPFUNCPARAM();
   }

   public SESSTRANSFORMATIONGROUP createSESSTRANSFORMATIONGROUP() {
      return new SESSTRANSFORMATIONGROUP();
   }

   public MAPPLET createMAPPLET() {
      return new MAPPLET();
   }

   public REPOSITORY createREPOSITORY() {
      return new REPOSITORY();
   }

   public SAPSTRUCTURE createSAPSTRUCTURE() {
      return new SAPSTRUCTURE();
   }

   public SOURCE createSOURCE() {
      return new SOURCE();
   }

   public CUSTOM createCUSTOM() {
      return new CUSTOM();
   }

   public TRANSFORMRESOURCEREF createTRANSFORMRESOURCEREF() {
      return new TRANSFORMRESOURCEREF();
   }

   public VALUEPAIR createVALUEPAIR() {
      return new VALUEPAIR();
   }

   public SAPPROGRAMFLOWOBJECT createSAPPROGRAMFLOWOBJECT() {
      return new SAPPROGRAMFLOWOBJECT();
   }

   public METADATAEXTENSION createMETADATAEXTENSION() {
      return new METADATAEXTENSION();
   }

   public WORKFLOWLINK createWORKFLOWLINK() {
      return new WORKFLOWLINK();
   }

   public TABLEATTRIBUTE createTABLEATTRIBUTE() {
      return new TABLEATTRIBUTE();
   }

   public SESSIONCOMPONENT createSESSIONCOMPONENT() {
      return new SESSIONCOMPONENT();
   }

   public SESSIONEXTENSION createSESSIONEXTENSION() {
      return new SESSIONEXTENSION();
   }

   public MAPPINGVARIABLE createMAPPINGVARIABLE() {
      return new MAPPINGVARIABLE();
   }

   public RECURRING createRECURRING() {
      return new RECURRING();
   }

   public TARGETLOADORDER createTARGETLOADORDER() {
      return new TARGETLOADORDER();
   }

   public KEYRANGE createKEYRANGE() {
      return new KEYRANGE();
   }

   public REPEAT createREPEAT() {
      return new REPEAT();
   }

   public TARGETINDEXFIELD createTARGETINDEXFIELD() {
      return new TARGETINDEXFIELD();
   }

   public SAPTABLEINSTANCEPARAM createSAPTABLEINSTANCEPARAM() {
      return new SAPTABLEINSTANCEPARAM();
   }

   public SAPFUNCTIONINSTANCE createSAPFUNCTIONINSTANCE() {
      return new SAPFUNCTIONINSTANCE();
   }

   public SESSTRANSFORMATIONINST createSESSTRANSFORMATIONINST() {
      return new SESSTRANSFORMATIONINST();
   }

   public XMLINFO createXMLINFO() {
      return new XMLINFO();
   }

   public FOLDERVERSION createFOLDERVERSION() {
      return new FOLDERVERSION();
   }

   public MACRODEPENDENCY createMACRODEPENDENCY() {
      return new MACRODEPENDENCY();
   }

   public MACROARGUMENT createMACROARGUMENT() {
      return new MACROARGUMENT();
   }

   public ATTRIBUTE createATTRIBUTE() {
      return new ATTRIBUTE();
   }

   public FILTER createFILTER() {
      return new FILTER();
   }

   public SEBLMVLINK createSEBLMVLINK() {
      return new SEBLMVLINK();
   }

   public FLATFILE createFLATFILE() {
      return new FLATFILE();
   }

   public TRANSFORMFIELDATTR createTRANSFORMFIELDATTR() {
      return new TRANSFORMFIELDATTR();
   }

   public SCHEDULEINFO createSCHEDULEINFO() {
      return new SCHEDULEINFO();
   }

   public CONNECTIONREFERENCE createCONNECTIONREFERENCE() {
      return new CONNECTIONREFERENCE();
   }

   public ERPINFO createERPINFO() {
      return new ERPINFO();
   }

   public GROUP createGROUP() {
      return new GROUP();
   }

   public SEBLLINK createSEBLLINK() {
      return new SEBLLINK();
   }

   public TASKINSTANCE createTASKINSTANCE() {
      return new TASKINSTANCE();
   }

   public SAPCODEBLOCK createSAPCODEBLOCK() {
      return new SAPCODEBLOCK();
   }

   public FIELDATTRIBUTE createFIELDATTRIBUTE() {
      return new FIELDATTRIBUTE();
   }

   public SEBLJOIN createSEBLJOIN() {
      return new SEBLJOIN();
   }

   public HASHKEY createHASHKEY() {
      return new HASHKEY();
   }

   public RESOURCEREFERENCE createRESOURCEREFERENCE() {
      return new RESOURCEREFERENCE();
   }

   public PARTITION createPARTITION() {
      return new PARTITION();
   }

   public TRANSFORMFIELD createTRANSFORMFIELD() {
      return new TRANSFORMFIELD();
   }

   public TARGETINDEX createTARGETINDEX() {
      return new TARGETINDEX();
   }

   public WORKFLOW createWORKFLOW() {
      return new WORKFLOW();
   }

   public TASK createTASK() {
      return new TASK();
   }

   public MAPDEPENDENCY createMAPDEPENDENCY() {
      return new MAPDEPENDENCY();
   }

   public SAPSTRUCTUREFIELD createSAPSTRUCTUREFIELD() {
      return new SAPSTRUCTUREFIELD();
   }

   public SCHEDULEOPTIONS createSCHEDULEOPTIONS() {
      return new SCHEDULEOPTIONS();
   }

   public SHORTCUT createSHORTCUT() {
      return new SHORTCUT();
   }

   public CONFIG createCONFIG() {
      return new CONFIG();
   }

   public TARGET createTARGET() {
      return new TARGET();
   }

   public STARTOPTIONS createSTARTOPTIONS() {
      return new STARTOPTIONS();
   }

   public TRANSFORMFIELDATTRDEF createTRANSFORMFIELDATTRDEF() {
      return new TRANSFORMFIELDATTRDEF();
   }

   public ENDOPTIONS createENDOPTIONS() {
      return new ENDOPTIONS();
   }

   public FIELDDEPENDENCY createFIELDDEPENDENCY() {
      return new FIELDDEPENDENCY();
   }

   public SOURCEFIELD createSOURCEFIELD() {
      return new SOURCEFIELD();
   }

   public EXPRMACRODEPENDENCY createEXPRMACRODEPENDENCY() {
      return new EXPRMACRODEPENDENCY();
   }

   public ASSOCIATEDSOURCEINSTANCE createASSOCIATEDSOURCEINSTANCE() {
      return new ASSOCIATEDSOURCEINSTANCE();
   }

   public WORKLET createWORKLET() {
      return new WORKLET();
   }

   public CONWFRUNINFO createCONWFRUNINFO() {
      return new CONWFRUNINFO();
   }

   public SAPFUNCTION createSAPFUNCTION() {
      return new SAPFUNCTION();
   }

   public CONFIGREFERENCE createCONFIGREFERENCE() {
      return new CONFIGREFERENCE();
   }

   public MAPPING createMAPPING() {
      return new MAPPING();
   }

   public TRANSFORMATION createTRANSFORMATION() {
      return new TRANSFORMATION();
   }

   public SAPFUNCINSTANCEPARAMFLD createSAPFUNCINSTANCEPARAMFLD() {
      return new SAPFUNCINSTANCEPARAMFLD();
   }

   public SAPOUTPUTPORT createSAPOUTPUTPORT() {
      return new SAPOUTPUTPORT();
   }

   public POWERMART createPOWERMART() {
      return new POWERMART();
   }

   public SAPPROGRAM createSAPPROGRAM() {
      return new SAPPROGRAM();
   }

   public SESSION createSESSION() {
      return new SESSION();
   }

   public SEBLSRCINFO createSEBLSRCINFO() {
      return new SEBLSRCINFO();
   }

   public INSTANCE createINSTANCE() {
      return new INSTANCE();
   }

   public SAPVARIABLE createSAPVARIABLE() {
      return new SAPVARIABLE();
   }

   public XMLTEXT createXMLTEXT() {
      return new XMLTEXT();
   }

   public SAPTABLEPARAM createSAPTABLEPARAM() {
      return new SAPTABLEPARAM();
   }

   public CONNECTOR createCONNECTOR() {
      return new CONNECTOR();
   }

   public ERPSRCINFO createERPSRCINFO() {
      return new ERPSRCINFO();
   }
}
